%define version 4.2.10
%define release 3mdk
%define name Xconfigurator

Summary: The Red Hat Linux configuration tool for the X Window System.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Configuration/Hardware
Source: Xconfigurator-%{version}.tar.bz2
Patch0: Xconfigurator-frlat0-patch.bz2
Patch1: Xconfigurator-backspace.patch.bz2
Patch2: Xconfigurator-mdkconf.patch.bz2
Requires: XFree86 >= 3.3.3.1-43,  kbdconfig, mouseconfig >= 2.8, kbd
Requires: initscripts >= 3.60 XFree86-xfs kudzu
BuildRoot: /var/tmp/%{name}-buildroot
BuildRequires: pciutils-devel

%description
Xconfigurator is a full-screen, menu-driven program which walks
you through setting up your X server. Xconfigurator is based
on the sources for xf86config, a utility from XFree86.

You should install Xconfigurator if you are installing the X Window
System.

%prep
%setup -q
%patch0 -p1
%patch1 -p0 -b -backspace
%patch2 -p1 -b .mdkconf

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" CC=gcc
strip Xconfigurator

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
	file $i|grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/X11R6/bin/Xconfigurator
/usr/X11R6/bin/Xtest
/usr/X11R6/share/Xconfigurator
/usr/X11R6/man/man1/Xconfigurator.*
/usr/share/locale/*/LC_MESSAGES/Xconfigurator.mo

%changelog
* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.10-3mdk
- fix group

* Thu Dec 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add standard mandrake colors.

* Wed Dec  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Support BACKSPACE= in /etc/sysconfig/keyboard

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.2.10.
- Remove rage128 patch (XFdrake handle this nicely).

* Fri Oct  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Sync with redhat.
- Clean-up patchs/specs.

* Mon Sep 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Fixed Indonesian locale (it is 'id' not 'in')

* Mon Sep 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Support for ATI-Rage128.

* Mon May 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- if (fr-lat0-16) { Lang=fr } not { Lang=us }; [Patch]
- CC=gcc not egcs.

* Thu Apr 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat 6.0

* Thu Apr 15 1999 Matt Wilson <msw@redhat.com>
- integrated changes from DaveM to fix Ultras with PS/2 mouse and keybord
- fixed segfault
- added icelandic thingie

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- sparc keyboard fix, sun monitor definition for MonitorsDB

* Wed Apr 14 1999 Matt Wilson <msw@redhat.com>
- changed mappings for some matrox cards

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- if it isn't run out of the installer, start xfs when successful.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- attempt to fix Sparc64 keyboard setup (strcasecmp --> strcasestr)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- works with security-fixed xfs

* Wed Apr  7 1999 Matt Wilson <msw@redhat.com>
- fix for sun ps/2 keyboard mappings

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- now writes path to font server as a unix domain socket not tcp socket

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- change text for 8 mb to "8 mb or more"

* Sat Mar 27 1999 Erik Troan <ewt@redhat.com>
- actually fixed kickstart

* Fri Mar 26 1999 Matt Wilson <msw@redhat.com>
- fixed kickstart

* Mon Mar 22 1999 Matt Wilson <msw@redhat.com>
- fixed bug probing I128 cards

* Mon Mar 15 1999 Matt Wilson <msw@redhat.com>
- fixed handling of unknown error conditions from Xtest
- added option to skip test
- added some custom monitor types

* Wed Mar 10 1999 Matt Wilson <msw@redhat.com>
- removed fprintf debugging
- bound to existing Xconfigurator gettext domain
- fixed %files

* Wed Mar 08 1999 Preston Brown <pbrown@redhat.com>
- don't present 1152x864 as a valid autoprobed default

* Tue Mar  2 1999 Matt Wilson <msw@redhat.com>
- reworked state flow in main to remove gotos and make flow a bit better

* Mon Mar  1 1999 Matt Wilson <msw@redhat.com>
- Xconfigurator now starts X to test the configuration
- assume failure when testing the X setup

* Wed Feb 24 1999 Matt Wilson <msw@redhat.com>
- memory probe for Mach64

* Wed Feb 24 1999 Matt Wilson <msw@redhat.com>
- fixed resolution selection segfault

* Thu Feb 18 1999 Preston Brown <pbrown@redhat.com>
- added sun support from ultrapenguin, and new resolutions 1600x1200
  and 1152x864

* Mon Feb 15 1999 Matt Wilson <msw@redhat.com>
- fixed segfaults in custom monitor setup, inittab writing.

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- fixed check for null ramdac in xf86config writing (thought I got this one)

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com
- Don't pop up windows after newt shuts down

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- Check to see if you're in --pick before presenting the initlevel screen

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- added --startxonboot

* Sun Feb  7 1999 Matt Wilson <msw@redhat.com>
- fixed check for null ramdac in xf86config writing

* Sun Feb  7 1999 Matt Wilson <msw@redhat.com>
- moved the inittab question to the proper place.

* Sun Feb  7 1999 Matt Wilson <msw@redhat.com>
- away with global variables - pass a struct around
- added a feature to rewrite the inittab to bring up the machine
  in runlevel 5 after asking the user if they want this.

* Tue Jan 19 1999 Bill Nottingham <notting@redhat.com>
- don't build on arm

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- Rebuilt for newt 0.40

* Wed Jan  6 1999 Matt Wilson <msw@redhat.com>
- Rebuilt for rawhide

* Wed Jan  6 1999 Matt Wilson <msw@redhat.com>
- Added probing for 3DLabs GLINT MX boards 

* Mon Dec 21 1998 Matt Wilson <msw@redhat.com>
- Rebuilt for rawhide

* Mon Dec 21 1998 Matt Wilson <msw@redhat.com>
- Fixed one more segfault

* Mon Dec 21 1998 Matt Wilson <msw@redhat.com>
- Added 3DLabs support, requires 3.3.3, fixed Cards display, fixed segfault

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po.

* Wed Dec 02 1998 Erik Troan <ewt@redhat.com>
- added compaq monitors

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- adjusted FontPath entries

* Thu Nov 12 1998 Matt Wilson <msw@redhat.com>
- Added pci probing for Riva 128 cards, made VideoRam exception (the server
can't figure out how much video ram Rive 128 cards have.)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Mon Oct 12 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- updated pt_BR translations
- more i18n strings: ramdac_name, clockchip_name, monitortype_name

* Tue Oct 06 1998 Preston Brown <pbrown@redhat.com>
- updated pci probing to handle S3V GX2 and MX cards

* Mon Sep 28 1998 Preston Brown <pbrown@redhat.com>
- fixed autoprobing for S3V based cards, and for AGP Millennium II

* Fri Sep 25 1998 Preston Brown <pbrown@redhat.com>
- merged back in mouseconfig stuff, somehow lost!??
- merge back erik's changes, also lost!

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- turkish update

* Fri Sep 25 1998 Matthew Wilson <msw@redhat.com>
- More backbutton changes, state saving changes.  Much work left to do.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- NeoMagic video list update

* Thu Sep 24 1998 Preston Brown <pbrown@redhat.com>
- tiny update for new mouseconfig

* Wed Sep 23 1998 Erik Troan <ewt@redhat.com>
- added support for new /etc/sysconfig/keyboard format

* Thu Sep 17 1998 Preston Brown <pbrown@redhat.com>
- fixed problem with path to keyboard map being wrong with new kbd package

* Tue Sep 15 1998 Preston Brown <pbrown@redhat.com>
- added support for new XMOUSETYPE from mouseconfig
- merged changes into cvs (whoops)

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- incorporated Back button mods from Matt Wilson

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- built against newt 0.30

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- was using wrong domain name for translations

* Thu May 14 1998 Cristian Gafton <gafton@redhat.com>
- fixed alpha version

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- use /sbin/setsysfont to restore the system font
- added tr, no, cz, de, no, fr translations (maybe a couple of others)

* Fri Apr 17 1998 Erik Troan <ewt@redhat.com>
- include translations in build

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- updated for new newt, i18n-ready
- removed tons of extraneous code
- doesn't use imake anymore
- buildrooted
- moved monitor database to /usr/X11R6/share
- requires X11R6 > 3.3.2 rather then xserver-wrapper

* Wed Jan 21 1998 Erik Troan <ewt@redhat.com>
- don't install /usr/X11R6/bin/X symlink, just require xserver-wrapper instead

* Sun Nov  9 1997 Michael Fulbright <msf@redhat.com>
- fixed --pick/--continue and --expert interaction

* Sat Nov 08 1997 Erik Troan <ewt@redhat.com>
- added checks for bad parameters

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added new video card entries from 2.0.31 kernel pci.c

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- changed /etc/X11/X symlink to be relative, not absolute

* Thu Oct 30 1997 Michael Fulbright <msf@redhat.com>
- fixed VGA16 kickstart support
- fixed version string

* Mon Oct 27 1997 Michael Fulbright <msf@redhat.com>
- Fixed Mach64 autoprobing problems
- Added more user options when selecting from autoprobed video modes

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- fixed handling of temp files to be more safe
- added option for interactive mode to autoprobe ram,color depth, etc.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>
- made 'Unlisted Card' work again
- added more monitors
- added a beta man page

* Thu Oct  2 1997 Michael Fulbright <msf@redhat.com>
- added generic monitor types

* Wed Oct  1 1997 Michael Fulbright <msf@redhat.com>
- made it run /etc/X11/X explicitely
- added --expert flag
- fixed memory allocation problem in SplitString()

* Tue Sep 30 1997 Michael Fulbright <msf@redhat.com>
- added kickstart support
- added PCI probing for PCI video card autodetection
- added use of --probeonly to get video card information

